package com.zfire.mall.manager.bean.k3.bill;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public abstract class CommonOrderBean {

    @JsonProperty("FBillNo")
    @ApiModelProperty(value = "单号", required = true)
    private String billNo;

    @JsonIgnore
    public boolean isPushUpdate() {
        return false;
    }

    public String[] pushUpdateFields() {
        return new String[] {};
    }

}
